## ros-kinetic-trac-ik 1.5.1

=== debian/changelog ===
ros-kinetic-trac-ik (1.5.1-1xenial) xenial; urgency=high

  * Fixed theta normalize bug

 -- Patrick Beeson <pbeeson@traclabs.com>  Mon, 15 Jul 2019 05:00:00 -0000

ros-kinetic-trac-ik (1.5.0-1xenial) xenial; urgency=high

  * Switch to C++-11 threads and pointers instead of Boost

 -- Patrick Beeson <pbeeson@traclabs.com>  Wed, 22 Aug 2018 05:00:00 -0000

ros-kinetic-trac-ik (1.4.11-1xenial) xenial; urgency=high

  * Change to python install location for swig wrapper

 -- Patrick Beeson <pbeeson@traclabs.com>  Tue, 06 Feb 2018 06:00:00 -0000

ros-kinetic-trac-ik (1.4.10-1xenial) xenial; urgency=high

  * Fix URDF types to work in Indigo through Lunar on trusty through zesty

 -- Patrick Beeson <pbeeson@traclabs.com>  Sun, 21 Jan 2018 06:00:00 -0000

ros-kinetic-trac-ik (1.4.9-1xenial) xenial; urgency=high

  * Fixed MoveIt! plugin params to look in the correct place
  * Added a swig wrapper around TRAC-IK courtesy of mailto:Sammy.Pfeiffer@student.uts.edu.au

 -- Patrick Beeson <pbeeson@traclabs.com>  Thu, 11 Jan 2018 06:00:00 -0000

ros-kinetic-trac-ik (1.4.8-1xenial) xenial; urgency=high

  * Updated type to use generic typedef so boost (xenial) and C++ (zesty) pointers can be used as needed

 -- Patrick Beeson <pbeeson@traclabs.com>  Tue, 26 Dec 2017 06:00:00 -0000

ros-kinetic-trac-ik (1.4.7-1xenial) xenial; urgency=high

  * Fixed bug introduced in 1.4.6 where threaded function call should be returning a bool but was not returning anything

 -- Patrick Beeson <pbeeson@traclabs.com>  Thu, 21 Dec 2017 06:00:00 -0000

ros-kinetic-trac-ik (1.4.6-1xenial) xenial; urgency=high

  * Incorporated PR to fix plugin header and templatize the KDL/NLOpt solver threads used by TRAC-IK

 -- Patrick Beeson <pbeeson@traclabs.com>  Wed, 08 Nov 2017 06:00:00 -0000

ros-kinetic-trac-ik (1.4.5-1xenial) xenial; urgency=high

  * Updated CMake file to work with Eigen on 14.04 through 16.04

 -- Patrick Beeson <pbeeson@traclabs.com>  Wed, 21 Dec 2016 06:00:00 -0000

ros-kinetic-trac-ik (1.4.4-1xenial) xenial; urgency=high

  * Minor formatting and speed improvements based on user Issues and Pull Requests.

 -- Patrick Beeson <pbeeson@traclabs.com>  Mon, 01 Aug 2016 05:00:00 -0000

ros-kinetic-trac-ik (1.4.3-1xenial) xenial; urgency=high

  * trac_ik_kinematics_plugin and trac_ik_examples needed build depends on libnlopt-dev

 -- Patrick Beeson <pbeeson@traclabs.com>  Thu, 16 Jun 2016 05:00:00 -0000

ros-kinetic-trac-ik (1.4.2-1xenial) xenial; urgency=high

  * New revision for ROS Package release.  Thanks to Gijs van der Hoorn

 -- Patrick Beeson <pbeeson@traclabs.com>  Thu, 16 Jun 2016 05:00:00 -0000

ros-kinetic-trac-ik (1.4.1-1xenial) xenial; urgency=high

  * Fixed weird parsing issue with certain URDFs.

 -- Patrick Beeson <pbeeson@traclabs.com>  Sat, 16 Jan 2016 06:00:00 -0000

ros-kinetic-trac-ik (1.4.0-1xenial) xenial; urgency=high

  * Added example program for using TRAC-IK.
  * Added ability to get KDL chain structures from TRAC-IK class.

 -- Patrick Beeson <pbeeson@traclabs.com>  Sat, 16 Jan 2016 06:00:00 -0000

ros-kinetic-trac-ik (1.3.9-1xenial) xenial; urgency=high

  * Added new TRAC-IK constructor that takes URDF location, base link, and tip
    link, instead of KDL structures.
  * Some README fixes based on user comments

 -- Patrick Beeson <pbeeson@traclabs.com>  Sat, 16 Jan 2016 06:00:00 -0000

ros-kinetic-trac-ik (1.3.8-1xenial) xenial; urgency=high

  * Fixed how continuous joints are handled in random restarts

 -- Patrick Beeson <pbeeson@traclabs.com>  Mon, 04 Jan 2016 06:00:00 -0000

ros-kinetic-trac-ik (1.3.7-1xenial) xenial; urgency=high

  * Fixed bug introduced in 1.3.6 where tip frame was being used for Inverse
    Jacobian, which was never converging.

 -- Patrick Beeson <pbeeson@traclabs.com>  Mon, 04 Jan 2016 06:00:00 -0000

ros-kinetic-trac-ik (1.3.6-1xenial) xenial; urgency=high

  * Fixed tolerances to be in tip frame, not base frame.
  * Fixed Hydro compile issue
  * Changed to std::numeric_limits for +/-FLT_MAX and epsilons
  * Fixed potential error with URDF soft limits

 -- Patrick Beeson <pbeeson@traclabs.com>  Mon, 04 Jan 2016 06:00:00 -0000

ros-kinetic-trac-ik (1.3.5-1xenial) xenial; urgency=high

  * Overhaul of how multiple solutions are managed in TRAC-IK threads.
  * Improved speed and accurate returning of unique results found.

 -- Patrick Beeson <pbeeson@traclabs.com>  Tue, 08 Dec 2015 06:00:00 -0000

ros-kinetic-trac-ik (1.3.4-1xenial) xenial; urgency=high

  * Fixed a bug where we were looping over solutions inside of looping over
    solutions.

 -- Patrick Beeson <pbeeson@traclabs.com>  Thu, 10 Dec 2015 06:00:00 -0000

ros-kinetic-trac-ik (1.3.3-1xenial) xenial; urgency=high

  * Change final normalization for manipulability metrics with continuous
    joints. Make continuous joints explicitly handled (if lower_limit >=
    upper_limit, joint is continuous).

 -- Patrick Beeson <pbeeson@traclabs.com>  Thu, 10 Dec 2015 06:00:00 -0000

ros-kinetic-trac-ik (1.3.2-1xenial) xenial; urgency=high

  * Fixed bug where TRAC-IK multisolution modes weren't using the computed
    random seeds, but were using the same seed over and over.
  * Fixed potential issues with large bound joints seraching too large of a
    space

 -- Patrick Beeson <pbeeson@traclabs.com>  Thu, 10 Dec 2015 06:00:00 -0000

ros-kinetic-trac-ik (1.3.1-1xenial) xenial; urgency=high

  * Slight tweak to Manipulation metrics function to ensure it always works,
    even with weird Jacobians.

 -- Patrick Beeson <pbeeson@traclabs.com>  Tue, 08 Dec 2015 06:00:00 -0000

ros-kinetic-trac-ik (1.3.0-1xenial) xenial; urgency=high

  * Added a mode to TRAC-IK constructor that determines how the IK solver
    runs: 1) Speed return immediately whenever any solution is found (all other
    modes run for the requested timeout to try to find multiple solutions); 2)
    Distance runs for the timeout and returns the solution found that minimizes

